// This program is used to create the executables used for
// the sample application for dBCon 2004 by Ken Mayer:
// it compiles each file that needs compiling, then
// it builds the actual executables, using the .DBW file
// extension. Details on this can be found in the OLH,
// and in the paper for the conference.

// This is the path to where the exes will be stored:
#DEFINE EXEPath "..\Executables\"

// check for image files, copy if needed:
if not file( EXEPath+"PoweredBydBASE.gif" )
   copy file PoweredBydBASE.gif to EXEPath+"PoweredBydBASE.gif"
endif
if not file( EXEPath+"StagHead.bmp" )
   copy file StagHead.bmp to EXEPath+"StagHead.bmp"
endif

// Compile individual programs and required source code:
compile :WebWizards:webclass.cc
compile GS_Webclass.cc
compile DisplayCustomers.prg
compile EditCustomer.prg
compile EditCustomer2.prg
compile DeleteCustomer.prg
compile DeleteCustomer2.prg
compile AddCustomer.prg
compile AddCustomer2.prg

set safety off
// Build the exes:
build DisplayCustomers.pro, :webwizards:webclass.co, GS_Webclass.co to ;
      EXEPath+"DisplayCustomers.dbw" WEB
build EditCustomer.pro, :webwizards:webclass.co, GS_Webclass.co to;
      EXEPath+"EditCustomer.dbw" WEB
build EditCustomer2.pro, :webwizards:webclass.co, GS_Webclass.co to;
      EXEPath+"EditCustomer2.dbw" WEB
build DeleteCustomer.pro, :webwizards:webclass.co, GS_Webclass.co to;
      EXEPath+"DeleteCustomer.dbw" WEB
build DeleteCustomer2.pro, :webwizards:webclass.co, GS_Webclass.co to;
      EXEPath+"DeleteCustomer2.dbw" WEB
build AddCustomer.pro, :webwizards:webclass.co, GS_Webclass.co to;
      EXEPath+"AddCustomer.dbw" WEB
build AddCustomer2.pro, :webwizards:webclass.co, GS_Webclass.co to;
      EXEPath+"AddCustomer2.dbw" WEB
// Just so it looks like something happened:
? "Application Built and ready to go ..."
set safety on


